#include <stdlib.h>
#include <stdio.h>
#include "avwio.h"

size_t AvwWriteVolumes(AVW *avw, const void *buffer, size_t nvols)
{
  size_t volbytes;
  size_t n;
  short type;

  volbytes = AvwGetVolSize(avw) * (AvwGetDataType(avw, &type) / 
				   (8 * sizeof(char)));

  if(!avw->sameorder)
    AvwReverseBuffer(avw, (void *)buffer, AvwGetVolSize(avw) * nvols);

  n = fwrite(buffer, volbytes, nvols, avw->imgfp);
  if(n != nvols)
    perror("AvwWriteVolumes");

  if(!avw->sameorder)		/* Reverse again so its still valid */
    AvwReverseBuffer(avw, (void *)buffer, AvwGetVolSize(avw) * nvols);

  return n;
}
