
# note that a different version of runscript is used where arguments need to be passed

menubutton $w.f1.fmrib -text "FSL" -menu $w.f1.fmrib.menu
menu $w.f1.fmrib.menu

global PXHOME
global HOME
global FSLDIR

set INOXFORD [ file exists ${FSLDIR}/tcl/load_varian.tcl ]

if { $INOXFORD } {

    if { [ file exists ${FSLDIR}/tcl/load_varian.tcl ] } {
	$w.f1.fmrib.menu add command -label "  Load Varian" \
		-command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIR}/tcl/load_varian.tcl" &} junk]}
    }

    if { [ file exists ${FSLDIR}/tcl/dropouts.tcl ] } {
	$w.f1.fmrib.menu add command -label "  Fix Slice Dropouts" \
		-command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0 ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/dropouts.tcl dropouts \"-1 1\"" &} junk]}
    }

    if { [ file exists ${FSLDIR}/tcl/feat3.tcl ] } {
	$w.f1.fmrib.menu add command -label "  FEAT" \
		-command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIR}/tcl/feat3.tcl" &} junk]}
    }

    $w.f1.fmrib.menu add separator
}

$w.f1.fmrib.menu add cascade -label "General" -menu $w.f1.fmrib.menu.genmenu
menu $w.f1.fmrib.menu.genmenu

if { [ file exists ${FSLDIR}/tcl/bet.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "BET Brain Extraction" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0  ${FSLDIR}/tcl/bet.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/flirt.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "FLIRT Linear Registration" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIR}/tcl/flirt.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/susan.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "SUSAN Nonlinear Noise Reduction" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0  ${FSLDIR}/tcl/susan.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/eros.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "EROS Symmetry Plane" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/volume_or_image_run.tcl ${FSLDIR}/tcl/eros.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/clusters.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Cluster Count" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/volume_or_image_run.tcl ${FSLDIR}/tcl/clusters.tcl clusters \"-100.0 /tmp/${USER}_cluster_count.txt 1 -1\"" &} junk]}
}

if { [ file exists /usr/local/mni/bin/Display ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Create Image Mask Using \"Display\"" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/volume_or_image_run.tcl ${FSLDIR}/tcl/mni_mask.tcl mni_mask \" \"" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/taldaemon.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Talairach Daemon" \
	    -command { set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIR}/tcl/taldaemon.tcl" &} junk] }
}

if { [ file exists ${FSLDIR}/tcl/iso.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Make Image Isometric" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/volume_run.tcl ${FSLDIR}/tcl/iso.tcl makeiso \"0\"" &} junk]}
}


if { [ file exists ${FSLDIR}/tcl/concat_transforms.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Concat Transforms" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0  ${FSLDIR}/tcl/concat_transforms.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/copy_origin.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Copy Origin" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/volume_run.tcl ${FSLDIR}/tcl/copy_origin.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/save_die.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Delayed Folder Saving" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0  ${FSLDIR}/tcl/save_die.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/positive_voxel.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Make Voxel Dimensions Positive" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0  ${FSLDIR}/tcl/positive_voxel.tcl" &} junk]}
}

$w.f1.fmrib.menu add cascade -label "Group Operations" -menu $w.f1.fmrib.menu.groupmenu
menu $w.f1.fmrib.menu.groupmenu

if { [ file exists ${FSLDIR}/tcl/ifit.tcl ] } {
    $w.f1.fmrib.menu.groupmenu add command -label "iFit Curve Fitting" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/ifit.tcl" &} junk]}
}

if { [ file exists /usr/local/mni/bin/register ] } {
    $w.f1.fmrib.menu.groupmenu add command -label "Compare first two images from a group using \"register\"" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/mni_register.tcl mni_register \" \"" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/median.tcl ] } {
    $w.f1.fmrib.menu.groupmenu add command -label "Group Median" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/median.tcl group_median 1" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/group_do.tcl ] } {
    $w.f1.fmrib.menu.groupmenu add command -label "Group Do (Generic Operation)" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/group_do.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/scatter.tcl ] } {
    $w.f1.fmrib.menu.groupmenu add command -label "Scatter Plot from 2 Images" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/scatter.tcl scatter" &} junk]}
}

$w.f1.fmrib.menu add cascade -label "FMRI" -menu $w.f1.fmrib.menu.fmrimenu
menu $w.f1.fmrib.menu.fmrimenu

if { [ file exists ${FSLDIR}/tcl/dropouts.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Fix Slice Dropouts" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0 ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/dropouts.tcl dropouts \"-1 1\"" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/feat3.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "FEAT" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIR}/tcl/feat3.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/anova.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Model-Free ANOVA" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/anova.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/random_effects.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Random Effects Group Analysis" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/random_effects.tcl rea 1" &} junk]}
}
if { [ file exists ${FSLDIR}/tcl/CombineZmap.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Simple Z Score Combination Group Analysis" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIR}/tcl/CombineZmap.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/renderstats.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Statistics Colour Rendering" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIR}/tcl/renderstats.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/snr.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Signal-to-Noise Ratio" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/snr.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/clust_to_tal.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Cluster to Talairach" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0  ${FSLDIR}/tcl/clust_to_tal.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/serial_ttest.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Serial T Test" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/serial_ttest.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/clusterrep.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Cluster Reporting of % Change" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIR}/tcl/clusterrep.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/globnorm.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Slice-Based Intensity Normalisation" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0 ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/globnorm.tcl" &} junk]}
}

$w.f1.fmrib.menu add cascade -label "Graphics / Output" -menu $w.f1.fmrib.menu.graphicsmenu
menu $w.f1.fmrib.menu.graphicsmenu

if { [ file exists ${FSLDIR}/tcl/cut_corner.tcl ] } {
    $w.f1.fmrib.menu.graphicsmenu add command -label "Cut 3D Corner" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/volume_run.tcl ${FSLDIR}/tcl/cut_corner.tcl cut_corner" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/cut_corner_shell.tcl ] } {
    $w.f1.fmrib.menu.graphicsmenu add command -label "Cut 3D Corner Shell" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/volume_run.tcl ${FSLDIR}/tcl/cut_corner_shell.tcl cut_corner_shell" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/anim.tcl ] } {
    $w.f1.fmrib.menu.graphicsmenu add command -label "Rendering Animation" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/volume_run.tcl ${FSLDIR}/tcl/anim.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/rolling_display.tcl ] } {
    $w.f1.fmrib.menu.graphicsmenu add command -label "Rolling Display" \
	    -command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/rolling_display.tcl" &} junk]}
}

if { [ file exists ${FSLDIR}/tcl/feat2.tcl ] || [ file exists ${FSLDIR}/tcl/ltf.tcl ] } {
    $w.f1.fmrib.menu add separator
    $w.f1.fmrib.menu add cascade -label "Old versions" -menu $w.f1.fmrib.menu.oldmenu
    menu $w.f1.fmrib.menu.oldmenu
    if { [ file exists ${FSLDIR}/tcl/feat2.tcl ] } {
	$w.f1.fmrib.menu.oldmenu add command -label "FEAT2" \
		-command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIR}/tcl/feat2.tcl" &} junk]}
    }
    if { [ file exists ${FSLDIR}/tcl/ltf.tcl ] } {
	$w.f1.fmrib.menu.oldmenu add command -label "Linear Temporal Filtering (before integration with MEDx)" \
		-command {set status [catch {exec sh -ce "${FSLDIR}/tcl/runscript.sh 0  ${FSLDIR}/tcl/group_run.tcl ${FSLDIR}/tcl/temporal.tcl" &} junk]}
    }
}

$w.f1.fmrib.menu add separator

if { [ file exists ${FSLDIR}/doc/fslmedxmenu.htm ] } {
    $w.f1.fmrib.menu add command -label "Help" \
	    -command { source ${FSLDIR}/tcl/webhelp.tcl ; FmribWebHelp file: ${FSLDIR}/doc/fslmedxmenu.htm }
} else {
    $w.f1.fmrib.menu add command -label "Help" \
	    -command { source ${FSLDIR}/tcl/webhelp.tcl ; FmribWebHelp file: ${FSLDIR}/doc/fslmedxmenu.html }
}

if { [ file exists ${HOME}/.medx.tcl ] } {
    source ${HOME}/.medx.tcl
}
